$SUBTITLE:'POTENTIAL TEMP'
      SUBROUTINE  POTTMP ( TC, PMB, THETA )
C
C         COMPUTE THE POTENTIAL TEMPERATURE - AIR
C              ASSUMES MOLECULAR WEIGHT AIR
C
C    INPUT:
C         TC        R*8       TEMPERATURE DEG C
C         PMB       R*8       PRESSURE, MBAR
C    OUTPUT:
C         THETA     R*8       POTENTIAL TEMP, THETA
C
C    MODHIST
C         7-6-02    JRC CODED // MATCH MET-MFILES CONSTANTS
C
$INCLUDE:'WRDSIZ.INC'
C
C
      DATA   PNOR    /1000.0D0 /
      DATA   RSTAR   / 287.0D0 /
      DATA   CPAIR   / 1.004D3 /
      DATA   TZ      /273.115D0/
C
C         CP AND RSTAR HAVE CANCELLING 1.0D3 ADJUSTMENTS IN UNITS
C
C         ---------------------------------
C
      TK  = TC + TZ
C
      THETA  = TK * (PNOR/PMB) * RSTAR/CPAIR
C
      RETURN
      END
$PAGE
$SUBTITLE:'SPEC. HUMIDITY'
      SUBROUTINE   SPCHUM ( TC,PMB,RH,Q,W )
C
C         COMPUTE SPECIFIC HUMIDITY IN g/Kg OF WATER
C         AND MIXING RATION
C
C    MODHIST:
C
C         7-6-02    JRC CODED TO MATCH NPS MET MFILES
C
C
C
C    INPUT:
C         TC        R*8       TEMPERATURE DEG-C
C         PMB       R*8       PRESSURE MBAR
C         RH        R*8       RELATIVE HUMIDTY - %
C    OUTPUT:
C         Q         R*8       SPECIFIC HUMIDITY g/Kg
C         W         R*8       MIXING RATION     (Kg/Kg)
C
C
C
C
$INCLUDE:'WRDSIZ.INC'
C
C
C         ----------------------------------------------------
C
      ESH2O  = PPH2O ( TC )
      EE     = RH*ESH2O/100.0D0
C
      W      = 0.622D0  * (EE/(PMB - EE) )
      Q      = 1000.0D0 * W/(1.0D0 + W )
C
      RETURN
      END
