$TITLE:'STATION - SEALEVEL PRESSURE'
$SUBTITLE:'STATION 2 SLP'
      SUBROUTINE SP2SLP ( HGHM,STAPR, SLP )
C
C         STATION PRESSURE TO SEA LEVEL PRESSURE
C
C    INPUT:
C          HGHM     R*8       HEIGHT METERS
C         STAPR     R*8       STATION PRESSURE - MB,ETC 
C    OUTPUT:
C         SLP       R*8       SEA LEVEL PRESSURE
C                                SAME UNITS AS STATION PRESSURE INPUT
C
C
C    JRC CODED FROM NOAA ALGORTHM
C         -- BASICLY IS 6.5 DEG C/ KM LAPSE RATE EQUATIONS
C            CAN FIND IN TEXTS OR STD ATM 76
C
C         RATIO = [ Temp(h)/Temp(0)  ] ** 5.2561
C
C               ==> SCALE LENGTH ABOUT 8.43 KM
C
C    MODHIST
C         10-15-02       JRC CODE
C
$INCLUDE:'WRDSIZ.INC'
C
      HKM     = HGHM / 1000.0D0
      TZ      = 288.15D0
      TH      = TZ - 6.5D0*HKM
      FRACT   = TH/TZ
C
      RATIO   = FRACT ** 5.2561D0
C
      SLP     = STAPR / RATIO
C
      RETURN
      END
$PAGE
$SUBTITLE:'SLP 2 STATION PR'
      SUBROUTINE SLP2SP ( HGHM,SLP,STAPR )
C
C         SEA LEVEL PRESSURE TO STATION PRESSURE
C
C    INPUT:
C          HGHM     R*8       HEIGHT METERS
C         SLP       R*8       SEA LEVEL PRESSURE
C    OUTPUT:
C         STAPR     R*8       STATION PRESSURE - MB,ETC 
C                                SAME UNITS AS SLP INPUT
C
C
C    JRC CODED FROM NOAA ALGORTHM
C         -- BASICLY IS 6.5 DEG C/ KM LAPSE RATE EQUATIONS
C            CAN FIND IN TEXTS OR STD ATM 76
C
C         RATIO = [ Temp(h)/Temp(0)  ] ** 5.2561
C
C               ==> SCALE LENGTH ABOUT 8.43 KM
C
C    MODHIST
C         10-15-02       JRC CODE
C
$INCLUDE:'WRDSIZ.INC'
C
C
      HKM     = HGHM / 1000.0D0
      TZ      = 288.15D0
      TH      = TZ - 6.5D0*HKM
      FRACT   = TH/TZ
C
      RATIO   = FRACT ** 5.2561D0
C
      STAPR   = RATIO * SLP
C
      RETURN
      END
